# Uses of Class
org.apache.lucene.util.hnsw.NeighborArray

Packages that use NeighborArray
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of NeighborArray in org.apache.lucene.util.hnsw

  Methods in org.apache.lucene.util.hnsw that return NeighborArray
  Modifier and Type
  Method
  Description
  `NeighborArray`
  OnHeapHnswGraph.`getNeighbors(int level, int node)`
  Returns the `NeighborQueue` connected to the given node.